## com.sun.appserv.util.cache
Class LruCache.LruCacheItem

    java.lang.Object
      com.sun.appserv.util.cache.BaseCache.CacheItem
          com.sun.appserv.util.cache.LruCache.LruCacheItem

Enclosing class:
  LruCache

    protected static class LruCache.LruCacheItem

extends BaseCache.CacheItem

default CacheItem class implementation

Field Summary
`protected boolean` `isTrimmed`
`protected long` `lastAccessed`
`protected LruCache.LruCacheItem` `lNext`
`protected LruCache.LruCacheItem` `lPrev`

Constructor Summary
`protected` `LruCache.LruCacheItem(int hashCode, Object key, Object value, int size)`

Method Summary

Methods inherited from class com.sun.appserv.util.cache.BaseCache.CacheItem
`getHashCode, getKey, getSize, getValue, refreshValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### lNext

    protected LruCache.LruCacheItem lNext

### lPrev

    protected LruCache.LruCacheItem lPrev

### isTrimmed

    protected boolean isTrimmed

### lastAccessed

    protected long lastAccessed

Constructor Detail

### LruCache.LruCacheItem

    protected LruCache.LruCacheItem(int hashCode,
                                    Object key,
                                    Object value,
                                    int size)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.